// ================================================================================
// Librairies image.js
// --------------------------------------------------------------------------------
// Ce script contient les fonctions necessaires a l'affichage des images
// --------------------------------------------------------------------------------
// ================================================================================

var idAr = new Array();

function changeAllIsoviewImage()
{
	imgdisplayed = !imgdisplayed;
	if(imgdisplayed==false)
	{
		var myMsg = document.getElementById('jsIsoview');
		myMsg.style.display='inline';
		myMsg.innerHTML=affImgHtml;
		hideAllIsoviewImages();
	}
	else
	{
		var myMsg = document.getElementById('jsIsoview');
		myMsg.style.display='none';
		myMsg.innerHTML="";
		showAllIsoviewImages();
	}
}

function initImage(id)
{
	idAr.push(id);
}

function changeIsoviewImage(id)
{
	var myObj = document.getElementById(id+"_div");
	
	if(myObj.style.display == "none")
	{
		var myLink = document.getElementById(id+"link_div");
		myLink.style.display = 'none';
		showIsoviewImage(id);
		if(areAllImgDisplayed()==true)
		{
			var myMsg = document.getElementById('jsIsoview');
			myMsg.style.display='none';
			myMsg.innerHTML="";
			imgdisplayed = true;
		}
	}
	else
	{
		hideIsoviewImage(id);
		var myLink = document.getElementById(id+"link_div");
		myLink.style.display = 'inline';
		if(areAllImgHidden()==true)
		{
			var myMsg = document.getElementById('jsIsoview');
			myMsg.style.display='inline';
			myMsg.innerHTML=affImgHtml;
			imgdisplayed = false;
		}
	}
}

function areAllImgDisplayed()
{
	var myObj;
	for(var i=0;i<idAr.length;i++)
	{
		myObj = document.getElementById(idAr[i]+"_div");
		if(myObj.style.display == "none")
			return false;
	}
	return true;
}

function areAllImgHidden()
{
	var myObj;
	for(var i=0;i<idAr.length;i++)
	{
		myObj = document.getElementById(idAr[i]+"_div");
		if(myObj.style.display == "inline")
			return false;
	}
	return true;
}

function showAllIsoviewImages()
{
	var myLink;
	for(var i=0;i<idAr.length;i++)
	{
		showIsoviewImage(idAr[i]);
		myLink = document.getElementById(idAr[i]+"link_div");
		myLink.style.display = 'none';
	}
}
function hideAllIsoviewImages()
{
	var myLink;
	for(var i=0;i<idAr.length;i++)
	{
		hideIsoviewImage(idAr[i]);
		myLink = document.getElementById(idAr[i]+"link_div");
		myLink.style.display = 'inline';
	}
}

function showIsoviewImage(id)
{
	var myObj = document.getElementById(id+"_div");
	myObj.style.display = "inline";
}

function hideIsoviewImage(id)
{
	var myObj = document.getElementById(id+"_div");
	myObj.style.display = "none";
}

